apiVersion: v1
kind: Service
metadata:
  name: products-server-service
  namespace: ingress-nginx
spec:
  selector:
    app: products-server-app
  ports:
    - protocol: TCP
      port: 5002
      targetPort: 5551